org.apache.tinkerpop.gremlin.process.traversal.dsl.graph

## Class DefaultGraphTraversal<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.util.DefaultTraversal<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.DefaultGraphTraversal<S,E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<E>, GraphTraversal<S,E>, GraphTraversal.Admin<S,E>, Traversal<S,E>, Traversal.Admin<S,E>

      public class DefaultGraphTraversal<S,E>
      extends DefaultTraversal<S,E>
      implements GraphTraversal.Admin<S,E>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal

      `GraphTraversal.Admin<S,E>, GraphTraversal.Symbols`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Exceptions`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.util.DefaultTraversal

      `bytecode, closed, g, generator, graph, locked, parent, requirements, sideEffects, steps, strategies, unmodifiableSteps`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultGraphTraversal()`
    `DefaultGraphTraversal(Graph graph)`
    `DefaultGraphTraversal(GraphTraversalSource graphTraversalSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphTraversal.Admin<S,E>` | `asAdmin()` Get access to administrative methods of the traversal via its accompanying `Traversal.Admin`.
    `DefaultGraphTraversal<S,E>` | `clone()` Cloning is used to duplicate the traversal typically in OLAP environments.
    `GraphTraversal<S,E>` | `iterate()` Iterate all the `Traverser` instances in the traversal.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.util.DefaultTraversal

      `addStart, addStarts, addStep, applyStrategies, equals, getBytecode, getEndStep, getGraph, getParent, getSideEffects, getStartStep, getSteps, getStrategies, getTraversalSource, getTraverserGenerator, getTraverserRequirements, hashCode, hasNext, isClosed, isLocked, next, nextTraverser, notifyClose, removeStep, reset, setGraph, setParent, setSideEffects, setStrategies, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal.Admin

      `addStep`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStart, addStarts, addStep, applyStrategies, equals, getBytecode, getEndStep, getGraph, getParent, getSideEffects, getStartStep, getSteps, getStrategies, getTraversalSource, getTraverserGenerator, getTraverserRequirements, getTraverserSetSupplier, isLocked, isRoot, nextTraverser, removeStep, removeStep, reset, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal

      `addE, addE, addV, addV, addV, aggregate, aggregate, and, as, barrier, barrier, barrier, both, bothE, bothV, branch, branch, by, by, by, by, by, by, by, by, by, by, cap, choose, choose, choose, choose, choose, choose, coalesce, coin, connectedComponent, constant, count, count, cyclicPath, dedup, dedup, drop, elementMap, emit, emit, emit, filter, filter, flatMap, flatMap, fold, fold, from, from, from, group, group, groupCount, groupCount, has, has, has, has, has, has, has, has, has, hasId, hasId, hasKey, hasKey, hasLabel, hasLabel, hasNot, hasValue, hasValue, id, identity, in, index, inE, inject, inV, is, is, key, label, limit, limit, local, loops, loops, map, map, match, math, max, max, mean, mean, min, min, none, not, option, option, optional, or, order, order, otherV, out, outE, outV, pageRank, pageRank, path, peerPressure, profile, profile, program, project, properties, property, property, propertyMap, range, range, read, repeat, repeat, sack, sack, sample, sample, select, select, select, select, select, select, select, shortestPath, sideEffect, sideEffect, simplePath, skip, skip, store, subgraph, sum, sum, tail, tail, tail, tail, timeLimit, times, to, to, to, to, toE, toV, tree, tree, unfold, union, until, until, V, value, valueMap, valueMap, values, where, where, where, with, with, write`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `close, explain, fill, forEachRemaining, forEachRemaining, next, notifyClose, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Constructor Detail

    - #### DefaultGraphTraversal

          public DefaultGraphTraversal()

    - #### DefaultGraphTraversal

          public DefaultGraphTraversal(GraphTraversalSource graphTraversalSource)

    - #### DefaultGraphTraversal

          public DefaultGraphTraversal(Graph graph)

  - ### Method Detail

    - #### asAdmin

          public GraphTraversal.Admin<S,E> asAdmin()

      Description copied from interface: `Traversal`
      Get access to administrative methods of the traversal via its accompanying `Traversal.Admin`.
      Specified by:
        `asAdmin` in interface `GraphTraversal<S,E>`
      Specified by:
        `asAdmin` in interface `Traversal<S,E>`
      Overrides:
        `asAdmin` in class `DefaultTraversal<S,E>`
      Returns:
        the admin of this traversal

    - #### iterate

          public GraphTraversal<S,E> iterate()

      Description copied from interface: `Traversal`
      Iterate all the `Traverser` instances in the traversal. What is returned is the empty traversal. It is assumed that what is desired from the computation is are the sideEffects yielded by the traversal.
      Specified by:
        `iterate` in interface `GraphTraversal<S,E>`
      Specified by:
        `iterate` in interface `GraphTraversal.Admin<S,E>`
      Specified by:
        `iterate` in interface `Traversal<S,E>`
      Returns:
        the fully drained traversal

    - #### clone

          public DefaultGraphTraversal<S,E> clone()

      Description copied from interface: `Traversal.Admin`
      Cloning is used to duplicate the traversal typically in OLAP environments.
      Specified by:
        `clone` in interface `GraphTraversal.Admin<S,E>`
      Specified by:
        `clone` in interface `Traversal.Admin<S,E>`
      Overrides:
        `clone` in class `DefaultTraversal<S,E>`
      Returns:
        The cloned traversal

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.